#!/bin/sh
#----------------------------------------------------------------------------
# /tmp/preinstall.sh - libjpeg8 preinstallation
#
# Creation   :  2017-10-28 holbru
# Last update:  $Id: preinstall.sh 81192 2020-11-24 20:44:29Z hbfl $
#
# Copyright (c) 2017-2023 Holger Bruenjes, holgerbruenjes(at)gmx(dot)net
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#----------------------------------------------------------------------------

# set package name
package_name=libjpeg8

# ---------------------------------------------------------------------------
# update system
# ---------------------------------------------------------------------------
installed=$(eisman check libjpeg62)

if [ "${installed}" = "not-installed" ]
then
    rm -f /usr/lib/libjpeg.so.62
    rm -f /usr/lib/libjpeg.so.62.2.0
fi

exit 0
# ---------------------------------------------------------------------------
# end
# ---------------------------------------------------------------------------
